> For the complete documentation index, see [llms.txt](https://docs.fonbnk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fonbnk.com/v1/off-ramp/url-parameters.md).

# URL Parameters

### Off-ramp URL[​](https://docs.fonbnk.com/docs/offramp/query-params#off-ramp-url) <a href="#off-ramp-url" id="off-ramp-url"></a>

| Environment | URL                                      |
| ----------- | ---------------------------------------- |
| Sandbox     | <https://sandbox-pay.fonbnk.com/offramp> |
| Production  | <https://pay.fonbnk.com/offramp>         |

### List of parameters[​](https://docs.fonbnk.com/docs/offramp/query-params#list-of-parameters) <a href="#list-of-parameters" id="list-of-parameters"></a>

Here is the list of parameters that can be added to the URL:

| Parameter       | Description                                                                                                                                                                                                                         |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| network         | Wallet network from which user will send crypto. Supported values: **POLYGON**, **AVALANCHE**, **CELO**, **ETHEREUM**                                                                                                               |
| asset           | Wallet asset from which user will send crypto. Supported values: **USDC**,**CUSD** depending on network. Supported network/asset pairs: AVALANCHE (USDC, USDT), POLYGON (USDC, USDT), CELO (CUSD, USDT, USDC), ETHEREUM(USDC, USDT) |
| amount          | If a currency is not provided, it will be an amount of crypto user wants to exchange. If currency is **local** it will be the amount of local currency user wants to receive.                                                       |
| offrampCurrency | Currency of the amount. Supported values: **usd** or **local**                                                                                                                                                                      |
| offrampType     | Type of the off-ramp: **bank**, **airtime**, **mobile\_money**, **paybill**                                                                                                                                                         |
| country         | default selected country iso code, example: **KE** for Kenya, **NG** for Nigeria                                                                                                                                                    |
| currencyIso     | currency iso code, example: **KES** for Kenya, **NGN** for Nigeria. Acts like a country parameter.                                                                                                                                  |
| freezeAmount    | Freezes the amount of order for the user, the user will not be able to change it. The amount is required in the URL for this parameter to work.                                                                                     |
| freezeWallet    | Freezes the wallet of order for the user, the user will not be able to change it. The wallet is required in the URL for this parameter to work.                                                                                     |
| orderParams     | This parameter will be sent to a merchant webhook with order status changes                                                                                                                                                         |
| source          | parameter used to match an order to a merchant                                                                                                                                                                                      |
| hideSwitch      | if present, hides Buy/Sell switch at the top                                                                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fonbnk.com/v1/off-ramp/url-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
